### Function

# GdkX11 X11Displayset_program_class

#### Declaration [src]

    void
    gdk_x11_display_set_program_class (
      GdkDisplay* display,
      const char* program_class
    )

#### Description [src]

Sets the program class.

The X11 backend uses the program class to set the class name part of the `WM_CLASS` property on toplevel windows; see the ICCCM.

#### Parameters

`display`

  Type: `GdkDisplay`

  A `GdkDisplay`

  The data is owned by the caller of the function.

`program_class`

  Type: `const char*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.